Index: doc/latex/libPF_8h__incl.eps
===================================================================
--- doc/latex/libPF_8h__incl.eps (revision 261)
+++ doc/latex/libPF_8h__incl.eps (revision 270)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 188 356
+%%PageBoundingBox: 36 36 204 356
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 152 320 boxprim clip newpath
+36 36 168 320 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 39 290 moveto
-39 311 lineto
-84 311 lineto
-84 290 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 39 290 moveto
-39 311 lineto
-84 311 lineto
-84 290 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-46.5 297.5 moveto 29 (libPF.h) alignedtext
+newpath 47 290 moveto
+47 311 lineto
+92 311 lineto
+92 290 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 47 290 moveto
+47 311 lineto
+92 311 lineto
+92 290 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+54.5 297.5 moveto 29 (libPF.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 23 233 99 253 ]
+[ /Rect [ 31 233 107 253 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libEF_8h.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 23 232 moveto
-23 253 lineto
-99 253 lineto
-99 232 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 23 232 moveto
-23 253 lineto
-99 253 lineto
-99 232 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-31 239.5 moveto 60 (../stat/libEF.h) alignedtext
+newpath 31 232 moveto
+31 253 lineto
+107 253 lineto
+107 232 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 31 232 moveto
+31 253 lineto
+107 253 lineto
+107 232 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+39 239.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 61 290 moveto
-61 282 61 272 61 263 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 64.5 263 moveto
-61 253 lineto
-57.5 263 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 64.5 263 moveto
-61 253 lineto
-57.5 263 lineto
+newpath 69 290 moveto
+69 282 69 272 69 263 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 72.5 263 moveto
+69 253 lineto
+65.5 263 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 72.5 263 moveto
+69 253 lineto
+65.5 263 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 0 117 50 137 ]
+[ /Rect [ 0 175 50 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -260,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 116 moveto
-0 137 lineto
-51 137 lineto
-51 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 116 moveto
-0 137 lineto
-51 137 lineto
-51 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 123.5 moveto 35 (libBM.h) alignedtext
+newpath 0 174 moveto
+0 195 lineto
+51 195 lineto
+51 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 174 moveto
+0 195 lineto
+51 195 lineto
+51 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node2->Node3
@@ -282,24 +282,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 56 232 moveto
-52 222 47 208 43 196 curveto
-37 179 33 161 29 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 32.39 146.12 moveto
-27 137 lineto
-25.53 147.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 32.39 146.12 moveto
-27 137 lineto
-25.53 147.49 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 52 175 144 195 ]
+newpath 61 232 moveto
+55 224 46 212 39 203 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 41.8 200.9 moveto
+33 195 lineto
+36.2 205.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 41.8 200.9 moveto
+33 195 lineto
+36.2 205.1 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 68 175 160 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -307,45 +306,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 52 174 moveto
-52 195 lineto
-145 195 lineto
-145 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 52 174 moveto
-52 195 lineto
-145 195 lineto
-145 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-59.5 181.5 moveto 77 (../math/chmat.h) alignedtext
-grestore
-% Node2->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 68 232 moveto
-73 224 80 213 86 203 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 88.8 205.1 moveto
-92 195 lineto
-83.2 200.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 88.8 205.1 moveto
-92 195 lineto
-83.2 200.9 lineto
+newpath 68 174 moveto
+68 195 lineto
+161 195 lineto
+161 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 68 174 moveto
+68 195 lineto
+161 195 lineto
+161 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+75.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 78 232 moveto
+84 224 93 212 100 203 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 102.8 205.1 moveto
+106 195 lineto
+97.2 200.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 102.8 205.1 moveto
+106 195 lineto
+97.2 200.9 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 24 59 96 79 ]
+[ /Rect [ 23 59 95 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -353,20 +352,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 24 58 moveto
-24 79 lineto
-96 79 lineto
-96 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 24 58 moveto
-24 79 lineto
-96 79 lineto
-96 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-32 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 23 58 moveto
+23 79 lineto
+95 79 lineto
+95 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 23 58 moveto
+23 79 lineto
+95 79 lineto
+95 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+31 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node3->Node4
@@ -375,18 +374,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 32 116 moveto
-36 108 43 97 49 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 52.2 89.44 moveto
-54 79 lineto
-46.08 86.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 52.2 89.44 moveto
-54 79 lineto
-46.08 86.04 lineto
+newpath 23 174 moveto
+20 160 18 135 24 116 curveto
+28 106 35 95 41 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 44.05 88.83 moveto
+48 79 lineto
+38.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 44.05 88.83 moveto
+48 79 lineto
+38.78 84.22 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 33 116 moveto
+33 137 lineto
+71 137 lineto
+71 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 33 116 moveto
+33 137 lineto
+71 137 lineto
+71 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+41 123.5 moveto 22 (map) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 30 174 moveto
+34 166 39 155 43 146 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 46.14 147.56 moveto
+47 137 lineto
+39.74 144.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 46.14 147.56 moveto
+47 137 lineto
+39.74 144.72 lineto
 closepath stroke
 grestore
@@ -394,20 +435,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 23 0 moveto
-23 21 lineto
-98 21 lineto
-98 0 lineto
+newpath 22 0 moveto
+22 21 lineto
+97 21 lineto
+97 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 23 0 moveto
-23 21 lineto
-98 21 lineto
-98 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-30.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 22 0 moveto
+22 21 lineto
+97 21 lineto
+97 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+29.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node4->Node5
@@ -416,23 +457,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 60 58 moveto
-60 50 60 40 60 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 63.5 31 moveto
-60 21 lineto
-56.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 63.5 31 moveto
-60 21 lineto
-56.5 31 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 71 117 121 137 ]
+newpath 59 58 moveto
+59 50 59 40 59 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 62.5 31 moveto
+59 21 lineto
+55.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 62.5 31 moveto
+59 21 lineto
+55.5 31 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 89 117 139 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -440,61 +481,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 71 116 moveto
-71 137 lineto
-121 137 lineto
-121 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 71 116 moveto
-71 137 lineto
-121 137 lineto
-121 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-79 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 98 174 moveto
-97 166 97 156 97 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 100.48 146.6 moveto
-96 137 lineto
-93.51 147.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 100.48 146.6 moveto
-96 137 lineto
-93.51 147.3 lineto
-closepath stroke
-grestore
-% Node7->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
 newpath 89 116 moveto
-85 108 78 97 72 87 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 74.8 84.9 moveto
-66 79 lineto
-69.2 89.1 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 74.8 84.9 moveto
-66 79 lineto
-69.2 89.1 lineto
+89 137 lineto
+139 137 lineto
+139 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 89 116 moveto
+89 137 lineto
+139 137 lineto
+139 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+97 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node7->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 114 174 moveto
+114 166 114 156 114 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 117.5 147 moveto
+114 137 lineto
+110.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 117.5 147 moveto
+114 137 lineto
+110.5 147 lineto
+closepath stroke
+grestore
+% Node8->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 103 116 moveto
+95 107 84 96 75 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 77.55 83.6 moveto
+68 79 lineto
+72.6 88.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 77.55 83.6 moveto
+68 79 lineto
+72.6 88.55 lineto
 closepath stroke
 grestore
@@ -506,5 +547,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 188 356
+%%BoundingBox: 36 36 204 356
 end
 restore
